← Return to photo page

@intelliborn just paid the $5 upgrade for IntelliscreenX. I’m getting “Cannot Comply”. Not compatible for iOS 6.1?